/*
 *   mkkdelnk - a small utility for creating kdelnk files
 *   Copyright (C) 1998  Thomas Tanghus
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifdef HAVE_CONFIG_H
#include <../config.h>
#endif

#include "kiconedit.h"
#include <kapp.h>

bool getCommandLine(QStrList *list, int argc, char **argv)
{
  char *filename;
  for(int i = 1; i < argc; i++)
  {
    filename = argv[i];
    if(filename[0] != '-')
    {
      list->append(filename);
    }
  }
  if(list->count() > 0)
    return true;
  else
    return false;
}



int main(int argc, char **argv)
{
  KApplication a(argc, argv, "kiconedit");

  if (a.isRestored())
  {
    int n = 1;
    while (KTopLevelWidget::canBeRestored(n))
    {
      KIconEdit *iconedit = new KIconEdit;
      iconedit->restore(n++);
    }
  }
  else
  {
    QStrList list;
    if(getCommandLine(&list, argc, argv))
    {
      for(uint i = 0; i < list.count(); i++)
        new KIconEdit("iconedit", list.at(i));
    }
    else
      new KIconEdit;
  }
  return a.exec();
}


